[pkg-fso-commits] [SCM] Automatic Display Manager branch, pamhelper, updated. debian/0.1-32-g33b29c5

Enrico Zini enrico at enricozini.org
Fri Feb 20 14:11:35 UTC 2009


The following commit has been merged in the pamhelper branch:
commit 33b29c595781b1f75a8cf605f7e4549b538d5602
Author: Enrico Zini <enrico at enricozini.org>
Date:   Fri Feb 20 14:12:44 2009 +0000

    Added a test script

diff --git a/TODO b/TODO
index e368190..04f5d91 100644
--- a/TODO
+++ b/TODO
@@ -8,6 +8,7 @@
  + split X options before passing them to xinit?  Is it needed or xinit does it?
  + signals are blocked while waiting between retries
  + set up the right environment, and cd to the right place
+ - missing: honour login.defs.  Do we need it?
 
 Preseed values for testing:
 
diff --git a/test_nodm b/test_nodm
new file mode 100755
index 0000000..633b9dc
--- /dev/null
+++ b/test_nodm
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+if [ -z "$1" ]
+then
+	echo "Use: $0 username" >&2
+	exit 1
+fi
+
+if [ "$1" != runtest ]
+then
+	export NODM_USER=$1
+	export NODM_COMMAND="`pwd`/$0 runtest -- a b c"
+	export NODM_MIN_SESSION_TIME=60
+	exec ./nodm 
+else
+	test "$2" != "--" && echo "\$2 is '$2' instead of '--'"
+	test "$3" != "a" && echo "\$3 is '$3' instead of 'a'"
+	test "$4" != "b" && echo "\$4 is '$4' instead of 'b'"
+	test "$5" != "c" && echo "\$5 is '$5' instead of 'c'"
+	echo "PATH is: $PATH"
+	echo "USER is: $USER"
+	echo "HOME is: $HOME"
+	echo "pwd: `pwd`"
+	echo "id: `id`"
+	exit 0
+fi

-- 
Automatic Display Manager



More information about the pkg-fso-commits mailing list